Subject: Re: [Roll] My comments on Vol 5, Issue 2 and Vol 5, Issue 3

From: JP Vasseur <[email-masked]>
Date: Thu, 12 Jun 2008 10:16:14 +0200

Hi,

On 6/11/08 11:17 PM, "Nie Pin" <[email-masked]> wrote:

> Hi, dear all,
> I'm a rookie in this mailing list, so forgive me if I make any stupid
> questions.
> 
> Based on some recent messages, I have following comments:
> In Roll Digest, Vol 5, Issue 2 (JP Vasseur)
>> 19) " home PAN MUST provide a set of features including 0 configuration of
>> the routing protocol for a new node to be added to the network. "
>> Do you really mean "0 configuration" ?? What about optional
> configuration of
>> timers ?
> I think the "0 configuration" here implies "plug and play (PnP)"
> capability. This is very important in some emergency applications, like
> construction health monitoring in the aftershock.

Well, the term "0 configuration" requires clarification though.

> 
>> 20) " Furthermore, a failing node MUST NOT have a global impact on the
>> routing protocol. "
>> This is a very strong requirement ... Are you sure that this is what you
>> mean? I feel more comfortable about your second
> This requirement may be very strong, but it is necessary I think. Take
> tree based routing algorithm as example, it is required any falling node
> should not propagate impact on other nodes, except for its subtree nodes.

That depends ... You can have tree-based topology where there is a
propagation of some limited/aggregated reachability information. Again it is
a question of clarification that is needed here for the term "impact".

> 
> In Roll Digest, Vol 5, Issue 3 (Ryuji Wakikawa)
>>>       ? 2.3. In-Vehicle Network Size: I don?t think very specific
>>> vehicle size needs to be presented here since all are aware of rough
>>> sizes of various vehicles and routing protocol is not that much
>>> sensitive to the exact network size. And, I am not quite sure that
>>> this kind of document is fine to mention or refer the specific
>>> product name or model like LEXUS and Toyota.
> 
>> OK.
>> We try to explain the node density is extremely high compared to other
>> scenarios.
>> We can remove the example spec. no intention to promote toyota
>> vehicles in IETF;-)
> 
> I do believe it is important to clarify the target vehicles and
> applications. Long vehicle (up to 20-30 meters), like container truck
> and oil carrier, has significant difference from normal vehicles. They
> may even have extra requirements, such as cargo (maybe toxic liquids or
> weapon) protection in emergency. For a traveling bus with 50 seats, it
> also imposes different concerns. Plus, IMO, it is more likely the sensor
> network will be firstly deployed for these cases.
> Btw, I ever saw a long truck cannot make a U turn in a 6 lane wide road :))

Well, bear in mind that this document is related to "Home" and vehicule
application are for the time being out of the scope of the charter.

Thanks.

JP.

> 
> 
> 
> NiePin
> 
> TML@HUT, Helsinki, Finland.
> ANTD@NIST, Gaithersburg, MD, USA.

_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll

---

From: Nie Pin <[email-masked]>
Date: Wed, 11 Jun 2008 17:17:44 -0400

Hi, dear all,

configuration of

NiePin